import { TimeStep } from 'enums'
import { DateTime } from 'luxon'
import { Datachart } from 'models'

export interface ChartState {
  currentDatachart: Datachart
  currentDatachartIndex: number
  currentIndex: number
  currentTimeStep: TimeStep
  selectedDate: DateTime
  showCompare: boolean
  showOfflineData: boolean
  /** For KonnectorViewerCard Accordion */
  showConnectionDetails: boolean
}
