import { FluidType, ScreenType, Usage } from 'enums'
import { TermsStatus } from 'models'
import { FluidStatus } from './fluid.model'
import { PartnersInfo } from './partnersInfo.model'
import { ReleaseNotes } from './releaseNotes.model'

export interface GlobalState {
  screenType: ScreenType
  releaseNotes: ReleaseNotes
  challengeExplorationNotification: boolean
  challengeActionNotification: boolean
  challengeDuelNotification: boolean
  analysisNotification: boolean
  termsStatus: TermsStatus
  fluidStatus: FluidStatus[]
  fluidTypes: FluidType[]
  shouldRefreshConsent: boolean
  partnersInfo: PartnersInfo
  ecogestureFilter: Usage
  headerHeight: number
}
