import GCUIcon from 'assets/icons/ico/gcu.svg'
import StyledCard from 'components/CommonKit/Card/StyledCard'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import React from 'react'
import { useNavigate } from 'react-router-dom'
import '../OptionsView.scss'

const GCULink = () => {
  const { t } = useI18n()
  const navigate = useNavigate()

  const goToGCU = () => {
    navigate(`/options/gcu`)
  }

  return (
    <div className="styled-card-root">
      <div className="styled-card-content">
        <StyledCard onClick={goToGCU}>
          <StyledIcon icon={GCUIcon} size={38} />
          {t('common.title_gcu')}
        </StyledCard>
      </div>
    </div>
  )
}

export default GCULink
