declare module 'cozy-ui/transpiled/react/Icon'
declare module 'cozy-ui/transpiled/react/Spinner'
declare module 'cozy-ui/transpiled/react/Layout'
declare module 'cozy-ui/transpiled/react/helpers/appDataset'

declare module 'cozy-ui/transpiled/react/providers/I18n' {
  interface IPropsIcon {
    icon?: string
    width?: string | number
    height?: string | number
    color?: string
    className?: string
    preserveColor?: string
    rotate?: string
    size?: string | number
    spin?: any
    [key: string]: any
  }
  interface IuseI18n {
    t: (key: string, opt?: any) => string
    f: (date: Date, format: string) => string
    lang: string
  }

  export function useI18n(): IuseI18n
  export function Icon(
    props: IPropsIcon
  ): React.CElement<any, React.Component<any, any, any>>
  export const I18n: any

  export function initTranslation(
    userLocal: string,
    cb: (lang: string) => string
  )
}
